aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/function/gather.sh
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2018-09-12 14:59:04 +0000
committerPeter Mikus <pmikus@cisco.com>2018-09-13 10:34:03 +0000
commit07eb18d206e09d3b9915792a8f6c475bb01e255a (patch)
tree334927e06f2de1bef538a56a655b118c29b49e41 /resources/libraries/bash/function/gather.sh
parent89ba5533d38034f32b6213c8250f842f0bb7c573 (diff)
CSIT-1282 Migrate from Nexus.fd.io to packagecloud.io
Change-Id: Ib4e72dc8e3c0fedfcd702f4f97bc4f26cbc642e9 Signed-off-by: Peter Mikus <pmikus@cisco.com>
Diffstat (limited to 'resources/libraries/bash/function/gather.sh')
-rw-r--r--resources/libraries/bash/function/gather.sh26
1 files changed, 9 insertions, 17 deletions
diff --git a/resources/libraries/bash/function/gather.sh b/resources/libraries/bash/function/gather.sh
index f490c80110..e030652494 100644
--- a/resources/libraries/bash/function/gather.sh
+++ b/resources/libraries/bash/function/gather.sh
@@ -246,6 +246,7 @@ function gather_vpp () {
set -exuo pipefail
# Variables read:
+ # - BASH_FUNCTION_DIR - Bash directory with functions.
# - TEST_CODE - The test selection string from environment or argument.
# - DOWNLOAD_DIR - Path to directory pybot takes the build to test from.
# - CSIT_DIR - Path to existing root of local CSIT git repository.
@@ -267,32 +268,23 @@ function gather_vpp () {
case "${TEST_CODE}" in
# Not csit-vpp as this code is re-used by ligato gathering.
"csit-"*)
- install_script="${CSIT_DIR}/resources/tools/scripts/"
- install_script+="download_install_vpp_pkgs.sh"
# Use downloaded packages with specific version
if [[ "${TEST_CODE}" == *"daily"* ]] || \
[[ "${TEST_CODE}" == *"weekly"* ]] || \
[[ "${TEST_CODE}" == *"timed"* ]];
then
- echo "Downloading latest VPP packages from NEXUS..."
- # TODO: Can we source?
- bash "${install_script}" --skip-install || {
- die "Failed to get VPP packages!"
- }
+ warn "Downloading latest VPP packages from Packagecloud."
else
- echo "Downloading VPP packages of specific version from NEXUS."
- dpdk_stable_ver="$(cat "${CSIT_DIR}/DPDK_STABLE_VER")" || {
- die "Cat failed."
- }
- vpp_stable_ver="$(cat "${CSIT_DIR}/VPP_STABLE_VER_UBUNTU")" || {
- die "Cat failed."
+ warn "Downloading stable VPP packages from Packagecloud."
+ DKMS_VERSION="$(<"${CSIT_DIR}/DPDK_STABLE_VER")" || {
+ die "Read DPDK stable version failed."
}
- install_args=("--skip-install" "--vpp" "${vpp_stable_ver}")
- install_args+=("--dkms" "${dpdk_stable_ver}")
- bash "${install_script}" "${install_args[@]}" || {
- die "Failed to get VPP packages!"
+ VPP_VERSION="$(<"${CSIT_DIR}/VPP_STABLE_VER_UBUNTU")" || {
+ die "Read VPP stable version failed."
}
fi
+ source "${BASH_FUNCTION_DIR}/artifacts.sh" || die "Source failed."
+ download_artifacts || die
;;
"vpp-csit-"*)
# Use local built packages.